Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07881 Sound Minor Always Feb 24, 2021, 15:38 Apr 29, 2021, 11:30
Tester launcherEXE View Status Public Platform MAME (Official Binary)
Assigned To windyfairy Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver ksys573.cpp
Version 0.229 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit 2caa566 Github Pull Request #
Summary 07881: dstage: CDDA playback is later than should
Description Dancing Stage Internet Ranking version plays CDDA tracks much later, causing very noticable audio delay in gameplay and UI.
Steps To Reproduce Just launch the game and watch opening video/how to play screen or listen song's preview in music select screen.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems dstage
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.18481
Tafoid
Administrator
Feb 24, 2021, 16:45
Is this addressed in 07856?
User avatar
No.18488
windyfairy
Tester
Feb 26, 2021, 08:12
Reproducible even with my previous fix for 07856.

I think a redump of the dstage program CD (gc845eba.chd) may be required. ddru uses the same opening as dstage and it works fine in ddru.
User avatar
No.18489
windyfairy
Tester
Feb 26, 2021, 08:21
Further research: dstagea also works. dstagea and ddru both have subcode data but dstage does not. I strongly suspect it's just a bad dump that's causing issues here.
User avatar
No.18706
AriaOTP
Tester
Apr 17, 2021, 01:27
edited on: Apr 17, 2021, 04:35
It's fixed on current git.
I think https://github.com/mamedev/mame/pull/7878 merge finally fixes this issue.
Works well on current chd.
User avatar
No.18754
windyfairy
Tester
Apr 28, 2021, 14:30
As Aria mentioned, https://github.com/mamedev/mame/pull/7878 may have fixed this. Please try out the game again with MAME 0.231 and let me know how it works now.
User avatar
No.18763
launcherEXE
Tester
Apr 29, 2021, 05:14
Yes, it seems that it was fixed.